/* https://hankchizljaw.com/wrote/a-modern-css-reset/ */
/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default padding */
ul[class],
ol[class] {
  padding: 0;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* Remove list styles on ul, ol elements with a class attribute */
ul[class],
ol[class] {
  list-style: none;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img {
  max-width: 100%;
  display: block;
}

/* Natural flow and rhythm in articles by default */
article > * + * {
  margin-top: 1em;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove _all_ animations and transitions for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  * {
    animation-play-state: paused !important;
    transition: none !important;
    scroll-behavior: auto !important;
  }
}
:root {
  --body: "Roboto Condensed", sans-serif;
  --text-color: #111111;
  --background: #ffffff;
  --highlight: #4739bb;
  --focus: #ffdd00;
  --ladder: #f1f1f1;
  --light: 400;
  --normal: 500;
  --medium: 500;
  --bold: 700;
  --container-width: 70rem;
  --content-width: 46rem;
  --space-xs: clamp(0.75rem, 0.69rem + 0.29vw, 0.9375rem);
  --space-s: clamp(1rem, 0.92rem + 0.39vw, 1.25rem);
  --space-m: clamp(1.5rem, 1.38rem + 0.58vw, 1.875rem);
  --space-l: clamp(2rem, 1.84rem + 0.78vw, 2.5rem);
  --space-xl: clamp(3rem, 2.77rem + 1.17vw, 3.75rem);
  --space-2xl: clamp(4rem, 3.69rem + 1.55vw, 5rem);
  --space-3xl: clamp(6rem, 5.53rem + 2.33vw, 7.5rem);
  --space-xs-s: clamp(0.75rem, 0.59rem + 0.78vw, 1.25rem);
  --space-s-m: clamp(1rem, 0.73rem + 1.36vw, 1.875rem);
  --space-m-l: clamp(1.5rem, 1.19rem + 1.55vw, 2.5rem);
  --space-l-xl: clamp(2rem, 1.46rem + 2.72vw, 3.75rem);
  --space-l-2xl: clamp(2rem, 1.07rem + 4.66vw, 5rem);
  --space-xl-2xl: clamp(3rem, 2.38rem + 3.11vw, 5rem);
  --space-2xl-3xl: clamp(4rem, 2.91rem + 5.44vw, 7.5rem);
  --font-size-xs: clamp(0.8rem, 0.16vw + 0.76rem, 0.89rem);
  --font-size-sm: 1.15rem;
  --font-size-base: clamp(1.15rem, 0.34vw + 0.92rem, 1.25rem);
  --font-size-md: clamp(1.25rem, 0.6vw + 1.1rem, 1.58rem);
  --font-size-lg: clamp(1.56rem, 0.99vw + 1.31rem, 2.11rem);
  --font-size-xl: clamp(1.95rem, 1.56vw + 1.56rem, 2.81rem);
  --font-size-xxl: clamp(2.44rem, 2.38vw + 1.85rem, 3.75rem);
  --font-size-xxxl: clamp(3.05rem, 3.53vw + 2.17rem, 5rem);
  --font-size-xxxxl: clamp(3.81rem, 4.69vw + 2.5rem, 6.25rem);
  --font-size-xxxxxl: clamp(4.77rem, 5.84vw + 2.81rem, 7.5rem);
  --letter-spacing-base: 1rem * 0.02;
  --letter-spacing-small: -0.03em;
  --line-height-small: 1.2;
  --line-height-base: 1.5;
  --word-spacing-base: 1rem * 0.04;
  --border-radius: 0.5rem;
  --containerWidth: 70rem;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1;
  margin-inline: 0;
  margin-block: 1em 1rem;
  font-weight: var(--bold);
}

html {
  font-family: var(--body);
}

html {
  font-size: 100%;
  height: 100%;
}

body {
  font-family: var(--body);
  font-weight: normal;
  font-size: var(--font-size-base);
  line-height: var(--line-height-base);
  letter-spacing: var(--letter-spacing-base);
  word-spacing: var(--word-spacing--base);
  text-align: left;
  background-color: var(--background);
  color: var(--text-color);
  overflow-y: scroll;
  overflow-x: hidden;
  height: 100%;
}

main {
  height: 100%;
  display: flex;
  flex-direction: column;
}

a {
  color: var(--highlight);
  text-decoration: underline;
  text-decoration-thickness: max(0.0875em, .0625rem);
  text-underline-offset: 0.1em;
}
a:visited {
  color: var(--text-color);
}
a:hover {
  text-decoration-color: var(--highlight);
}
a:active {
  color: var(--text-color);
  text-decoration: none;
}
a:focus {
  color: #0b0c0c;
  background-color: var(--focus);
  outline: 3px solid transparent;
  box-shadow: 0 -2px var(--focus), 0 4px #0b0c0c;
  text-decoration: none;
}

[data-region=both]:root,
[data-region=us]:root {
  --background: #715799;
  --text-color: #ffffff;
  --highlight: #fde8d2;
  --highlight-hover: color-mix(in hsl, #fde8d2 90%, #111111);
  --focus: #ffdd00;
}

[data-region=row]:root {
  --background: #4739bb;
  --text-color: #ffffff;
  --highlight: #3efecc;
  --highlight-hover: #36b8b3;
  --focus: #ffdd00;
}

.hg-container {
  position: relative;
  width: 100%;
  max-width: clamp(16rem, var(--container-width, 70rem), 100vw);
  margin-inline-start: auto;
  margin-inline-end: auto;
  padding: var(--space-m);
  flex: 1;
}
.hg-container > * {
  margin-right: 10vw;
}

body {
  height: 100%;
  width: 100%;
  position: absolute;
  right: 0;
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="1600" height="1600" viewBox="0 0 1200 1200"><path stroke-width="3" stroke="%23000000" fill="%23fb7823" d="m476.76 974.52 106.56 18.961-19.32 110.64 33.48 5.879L775.32 96.2l-33.48-5.879-8.281 47.039-87-3.602L654 96.68l-33.359-6.718-195.96 970.68 33.36 6.718zM642 156.24l87.602 3.719-14.281 81.719-89.398-5.52zM621.359 258.6l90 5.52-14.281 81.719-91.801-7.32zm-20.641 102.24 92.398 7.32L678.718 450l-94.199-9.238zM579.96 463.2l94.801 9.238-14.398 81.84-96.602-11.039zm-20.641 102.24 97.199 11.16-14.398 81.84-98.879-12.961zm-20.641 102.24 99.48 13.078-14.398 81.84-101.28-14.879zm-20.641 102.24 101.88 15-14.398 81.961-103.68-16.922zm-20.641 102.36 104.28 17.039-14.398 81.961-105.96-18.84z" /></svg>');
  background-repeat: no-repeat;
  background-size: 100vh;
  background-position: 50vw -10vh;
}
@media (max-width: 64em) {
  body {
    background-size: 100vh;
    background-position: 5vw -10vh;
  }
}

[data-region=both] body,
[data-region=us] body {
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="1600" height="1600" viewBox="0 0 1200 1200"><path stroke-width="3" stroke="%23f19c5b" fill="%23f9cca7" d="m476.76 974.52 106.56 18.961-19.32 110.64 33.48 5.879L775.32 96.2l-33.48-5.879-8.281 47.039-87-3.602L654 96.68l-33.359-6.718-195.96 970.68 33.36 6.718zM642 156.24l87.602 3.719-14.281 81.719-89.398-5.52zM621.359 258.6l90 5.52-14.281 81.719-91.801-7.32zm-20.641 102.24 92.398 7.32L678.718 450l-94.199-9.238zM579.96 463.2l94.801 9.238-14.398 81.84-96.602-11.039zm-20.641 102.24 97.199 11.16-14.398 81.84-98.879-12.961zm-20.641 102.24 99.48 13.078-14.398 81.84-101.28-14.879zm-20.641 102.24 101.88 15-14.398 81.961-103.68-16.922zm-20.641 102.36 104.28 17.039-14.398 81.961-105.96-18.84z" /></svg>');
}

.hg-container hr {
  max-width: 12rem;
  border-color: var(--highlight);
  border-top-width: 4px;
}
.hg-container blockquote {
  font-weight: bold;
}
.hg-container a:not(.hg-button) {
  text-decoration: underline;
  text-decoration-thickness: max(0.0875em, .0625rem);
  text-underline-offset: 0.1em;
}
.hg-container a:not(.hg-button):hover {
  text-decoration-color: var(--highlight);
}

.hg-footer h2 {
  font-size: var(--font-size-lg);
  color: var(--highlight);
  font-weight: 700;
}
.hg-footer__colophon {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1ch;
  flex-direction: column;
}
.hg-footer__colophon ul li, .hg-footer__colophon p {
  font-size: var(--font-size-xs);
}
.hg-footer__colophon ul {
  list-style-type: none;
  display: flex;
  text-align: center;
  gap: 1ch;
}
.hg-footer a {
  text-decoration: underline;
}
.hg-footer a:hover {
  text-decoration-color: var(--highlight);
}

.button-group {
  display: flex;
  gap: var(--space-xs);
  flex-wrap: wrap;
}

.hg-button {
  background-color: white;
  color: var(--text-color);
  color: black;
}
.hg-button:hover, .hg-button:active, .hg-button:focus {
  color: #111111;
  background-color: #efefef;
}
.hg-button:visited {
  color: #111111;
  background-color: #ffffff;
}
.hg-button:visited:hover {
  background-color: #efefef;
}
.hg-button--primary {
  background-color: var(--highlight);
}
.hg-button--primary:visited {
  background-color: var(--highlight);
}
.hg-button--primary:visited:hover {
  background-color: var(--highlight-hover);
}
.hg-button--primary:hover {
  background-color: var(--highlight-hover);
}
.hg-button--primary[disabled] {
  opacity: 0.5;
  background-color: #ccc;
}

[data-region=us] .hg-button.button--1:not([disabled]) {
  background-color: #2396bf;
}
[data-region=us] .hg-button.button--2:not([disabled]) {
  background-color: #eb2a31;
}
[data-region=us] .hg-button.button--3:not([disabled]) {
  background-color: #ed8299;
}

.fade-out {
  opacity: 0;
  animation: fade-out 0.5s ease-in-out forwards;
}

@keyframes fade-out {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.title {
  font-size: var(--font-size-xl);
  font-weight: var(--bold);
  letter-spacing: var(--letter-spacing-small);
  text-transform: uppercase;
}
.title span {
  text-transform: none;
  display: block;
  text-indent: 1ch;
  font-weight: var(--light);
}

.author {
  font-weight: var(--bold);
  font-size: var(--font-size-lg);
  color: var(--highlight);
}

.generator h3 {
  font-size: var(--font-size-xl);
  color: var(--highlight);
  font-weight: var(--bold);
  margin-block-end: var(--space-xs);
}
.generator p {
  font-size: var(--font-size-lg);
  font-weight: var(--bold);
}

.book {
  display: grid;
  grid-template-columns: 1fr;
  align-items: flex-start;
  gap: var(--space-m);
}
@media (min-width: 48em) {
  .book {
    grid-template-columns: 0.8fr 1.2fr;
  }
}
.book__cover {
  gap: 1ch;
  display: flex;
}
.book__cover img {
  max-width: 50%;
  height: auto;
  aspect-ratio: 2/3;
  object-fit: contain;
}
.book__details p {
  font-size: var(--font-size-sm);
}
.book__details .hg-button {
  text-decoration: none;
}

.visually-hidden {
  height: 1px;
  width: 1px;
  position: absolute !important;
  overflow: hidden;
  padding: 0;
  /* many screen reader and browser combinations announce broken words as they would appear visually */
  word-wrap: normal !important;
  white-space: nowrap;
  clip: rect(0, 0, 0, 0);
  -webkit-clip-path: inset(50%);
  clip-path: inset(50%);
  border: 0;
}
.visually-hidden:focus {
  background-color: #f1f1f1;
  border-radius: 3px;
  box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
  clip: auto !important;
  -webkit-clip-path: none;
  clip-path: none;
  color: var(--teal-dark);
  display: block;
  font-weight: 700;
  height: auto;
  right: 5px;
  line-height: normal;
  padding: 15px 23px 14px;
  text-decoration: none;
  top: 5px;
  width: auto;
  z-index: 100000;
}

.container {
  width: 100%;
  height: 100%;
  max-width: var(--containerWidth);
  position: relative;
  margin-block: auto;
  margin-inline: auto;
  padding: var(--space-m);
}

.stack > * + * {
  margin-block-start: var(--space-m);
}